Skip to main content
`Ctrl`+`K`

# KSPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user in the options database

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSetFromOptions(KSP ksp, const char opt[], const char name[], void *ctx)

Collective

## Input Parameters

- ksp - `KSP` object you wish to monitor

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - An optional user context for the monitor, or `NULL`

## See Also

KSP: Linear System Solvers, `KSPMonitorRegister()`, `KSPMonitorSet()`, `PetscOptionsCreateViewer()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()` `PetscOptionsInt()`, `PetscOptionsString()`, `PetscOptionsReal()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

developer

## Location

src/ksp/ksp/interface/itcl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages